Search documentation of stripe_elixir

# StripeElixir.Services.BalanceSettingsService (stripe_elixir v0.1.0)

Copy Markdown View Source

BalanceSettingsResourceBalanceSettings

Options for customizing account balances and payout settings for a Stripe platform’s connected accounts.

## Summary

### Functions

retrieve(client, params \\ %{}, opts \\ [])

Retrieve balance settings

update(client, params \\ %{}, opts \\ [])

Update balance settings

## Functions

# retrieve(client, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve balance settings

Retrieves balance settings for a given connected account. Related guide: Making API calls for connected accounts

# update(client, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update balance settings

Updates balance settings for a given connected account. Related guide: Making API calls for connected accounts